<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 00600_mcCloseSession</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>00600_mcCloseSession<br/>
<small>
[<a class="el" href="group___n_o_r_m_a_l___c_l_i_e_n_t___a_p_i.html">Normal_Client_API</a>]</small>
</h1>  </div>
</div>
<div class="contents">

<p><b>Involved Components and their required Functionality</b>  
<a href="#_details">More...</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html#gac91615603ca08682df771d7aadcf37ed">TestCase_GC00100</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html#gae841d8278c0e76bdb7e950b2a9d6f963">TestCase_BC00101_SessionNullPointer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html#gabf1b0ea2bc9b7378342f1af7525615dd">TestCase_BC00102_SessionInvalidId</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html#ga61b5b131f3121031a0fe1e300f2d389f">TestCase_BC00103_SessionInvalidDevice</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____m_c_c_l_o_s_e_s_e_s_s_i_o_n.html#gad1b69d787711d168cee595f07c537572">TestCase_BC00104_CloseMultipleTimes</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p><b>Involved Components and their required Functionality</b> </p>
<ol type="1">
<li>ClientLib<ol type="a">
<li>Can connect to daemon</li>
<li>Can reserve memory for connection</li>
</ol>
</li>
<li>McDriverDaemon<ol type="a">
<li>Daemon running</li>
<li>Daemon socket accessible by TLC</li>
<li>mcOpenDevice()</li>
</ol>
</li>
<li>McDriverModule<ol type="a">
<li>Module loaded</li>
<li>Module socket accessible by daemon</li>
<li>Module listens for connection</li>
</ol>
</li>
<li>Trusted Application TlIntegrationTest<ol type="a">
<li>Trusted Application copied to Android on Test device in registry as 05010000000000000000000000000000.trst</li>
<li>Trusted Application runnable and bug-free <b>Generic preconditions (setup)</b><br/>
 Generic Preconditions are the same for every test case. They are executed always in front of every single test case.</li>
</ol>
</li>
</ol>
<ul>
<li>open device using the default ID by calling mcOpenDevice()</li>
<li>allocate a WSM buffer (4k)</li>
<li>open a session to the Trusted Application</li>
</ul>
<p><b>Generic post processing (teardown)</b><br/>
 Generic post processing is the same for every test case. It is executed always after every single test case.</p>
<ul>
<li>close session to the Trusted Application</li>
<li>free allocated memory of WSM buffer</li>
<li>close Device by calling mcCloseDevice() </li>
</ul>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gac91615603ca08682df771d7aadcf37ed"></a><!-- doxytag: member="00600_mcCloseSession.cpp::TestCase_GC00100" ref="gac91615603ca08682df771d7aadcf37ed" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100 </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>mcCloseSession closes a session with default ID parameter. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TLC closes a default device (MC_DEVICE_ID_DEFAULT) after successfully opening the device </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>returns MC_DRV_OK.<br/>
Test output is OK </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Normal_Client_API.00600_mcCloseSession.GC00100 </dd></dl>

</div>
</div>
<a class="anchor" id="gae841d8278c0e76bdb7e950b2a9d6f963"></a><!-- doxytag: member="00600_mcCloseSession.cpp::TestCase_BC00101_SessionNullPointer" ref="gae841d8278c0e76bdb7e950b2a9d6f963" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00101_SessionNullPointer </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>mcCloseSession handles the NULL paramters </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TLC calls function with a NULL pointer </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>returns MC_DRV_ERR_INVALID_PARAMETER.<br/>
Test output is OK </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Normal_Client_API.00600_mcCloseSession.BC00101_SessionNullPointer </dd></dl>

</div>
</div>
<a class="anchor" id="gabf1b0ea2bc9b7378342f1af7525615dd"></a><!-- doxytag: member="00600_mcCloseSession.cpp::TestCase_BC00102_SessionInvalidId" ref="gabf1b0ea2bc9b7378342f1af7525615dd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00102_SessionInvalidId </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>mcCloseSession handles a bad session id. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TLC calls function with a malformed session id.<br/>
 Ensures the unknown session ids are handled. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>returns MC_DRV_ERR_UNKNOWN_SESSION.<br/>
Test output is OK </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Normal_Client_API.00600_mcCloseSession.BC00102_SessionInvalidId </dd></dl>

</div>
</div>
<a class="anchor" id="ga61b5b131f3121031a0fe1e300f2d389f"></a><!-- doxytag: member="00600_mcCloseSession.cpp::TestCase_BC00103_SessionInvalidDevice" ref="ga61b5b131f3121031a0fe1e300f2d389f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00103_SessionInvalidDevice </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>mcCloseSession handles a bad device id. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TLC calls function with a malformed deviceId. Ensures the unknown device ids are handled. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>returns MC_DRV_ERR_UNKNOWN_DEVICE.<br/>
Test output is OK </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Normal_Client_API.00600_mcCloseSession.BC00103_SessionInvalidDevice </dd></dl>

</div>
</div>
<a class="anchor" id="gad1b69d787711d168cee595f07c537572"></a><!-- doxytag: member="00600_mcCloseSession.cpp::TestCase_BC00104_CloseMultipleTimes" ref="gad1b69d787711d168cee595f07c537572" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00104_CloseMultipleTimes </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>mcCloseSession handles an already closed session's close request. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TLC tries to close a device multiple times. Ensures there is no remained of previously closed session. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>returns MC_DRV_ERR_UNKNOWN_SESSION.<br/>
Test output is OK </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Normal_Client_API.00600_mcCloseSession.BC00104_CloseMultipleTimes </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
